/*****************************************/
/*  Dmonstration de Boite de dialogue   */
/*****************************************/
/*  (C) Olivier Booklage 08/09/95        */
/*****************************************/

/*

A linker avec:
startup module :crt0.o
standard lib   :libci.a
lib            :xaesfast.a xvdifast.a

*/

/*-- Includes --*/

#include <stdio.h>     								/*Pour les Entrees-Sorties Generales */
#include <string.h>    								/*Pour les fonctions sur les chaines */
#include <xgemfast.h>  								/*Pour l'utilisation du GEM */
#include <initgem.h>   								/*Macros initgem et closegem */

#include "DIAL.H"	 									 	/*Header du ressource*/

/*-- Constantes --*/

#define RSC_FILE "DIAL.RSC"

/*-- Variables globales --*/

OBJECT *adr_dial; 	                             /* Adresse du dialogue */

/*-- Prototypes --*/

int main(void);

/*-- Programme principal --*/

int main(void)
{
int x, y, w, h, choix;		    			                  /* variables de la ressource */
char string[11];																			/* Chaine de stockage */
char *ptr_string;

	InitGem();

	if ( rsrc_load(RSC_FILE) )
	{
		rsrc_gaddr (0, DIAL, &adr_dial);			  	  		 	/* Demander adresse dialogue,test &adr_dial<>0 ok */

		rsc_gstrings( adr_dial , NOM, &ptr_string ,-1);		/* demande l'adresse de NOM */
		strcpy(ptr_string,"Demo");												/* Prparer le champ ditable */

	  form_center ( adr_dial, &x, &y, &w, &h);       		/* Centrer le formulaire */

		form_dial (FMD_START, 0, 0, 0, 0, x, y, w, h);		/* Prparer l'affichage */
		form_dial (FMD_GROW , 0, 0, 0, 0, x, y, w, h);		/* Growbox */

		objc_draw (adr_dial, 0, MAX_DEPTH, x, y, w, h);   /* Affichage par le GEM */

		graf_mouse (ARROW, 0);														/* Souris : forme de flche */

		choix = form_do (adr_dial, 0);										/* Gestion par le GEM */

		form_dial (FMD_SHRINK, 0, 0, 0, 0, x, y, w, h);		/* shrinkbox */
		form_dial (FMD_FINISH, 0, 0, 0, 0, x, y, w, h);   /* Effacer formulaire */

		objc_change (adr_dial, choix, 0, x, y, w, h, 0, 0);/* Rinverser bouton de sortie */

		strcpy( string , ptr_string );										/* rcupre la chaine d'dition */
																											/* pour en faire ce qu'on veut */
		rsrc_free (); 																		/* Librer la ressource */
	}
	else form_alert( 1, "[1][|DIAL.RSC not found!][Ok]" );

	CloseGem();
return(0);
}
