/*
  Dmonstration de Gestion d'un menu et d'une Ressource
                    Pour Sozobon 2.0X
               (C) Olivier Booklage V 0.3

Linker avec les librairies :

Startup module :crt0.o
Standards libs :libci.a
Libs           :gemlib.a xaesfast.a xvdifast.a

attention:pas d'accent dans les sprintf();

*/

#include <stdio.h>														/* Entrees-Sorties Gnrales */
#include <string.h>														/* Fonctions sur les chaines */
#include <xgemfast.h>													/* Utilisation du GEM (AES+VDI) */
#include <initgem.h> 													/* Macros initgem et closegem */

#include "menudial.h"								  				/* Header du ressource */

/*-- Prototypes --*/

int	 main( void );
void formulaire( void );

/*-- Constantes --*/

#define RSC_FILE "MENUDIAL.RSC"								/* Fichier Ressource */

/*-- Variables --*/


/*-- Programme --*/

int main(void)																/* Principal,a mettre en dernier */
{
OBJECT *adr_menu;															/* Adresse du menu */
int buf[8];																		/* Buffer d'vnements */
int quit;																			/* Drapeau de sortie */

	InitGem();
	
	if ( rsrc_load(RSC_FILE) )									/* Charge la ressource,8 car maxi ! */
	{
		rsrc_gaddr (0, MENU, &adr_menu);					/* Demander adresse menu */
		menu_bar (adr_menu, 1);										/* Afficher le menu */
		graf_mouse (ARROW, 0);										/* Souris : forme de flche */

		quit = FALSE;
		do																				/* BOUCLE PRINCIPALE */
		{
			evnt_mesag (buf);												/* Le GEM surveille les vnements message */
			if (buf[0] == 10)												/* Si vnement de menu */
			{
				switch (buf[4])												/* Selon l'option de menu clique */
				{
				case INFOS :													/* Si c'est "Infos", afficher une alerte */
		    	form_alert (1,"[1][ Comment grer | un menu droulant,| une bote d'alerte| et un formulaire.][ Ok ]");
					break;
				case FORM :														/* Si c'est "Formulaire" */
					formulaire ();											/* Afficher un formulaire */
					break;
				case QUITTER :												/* Si c'est "Formulaire" */
					quit = TRUE;
					break;
				}
				menu_tnormal( adr_menu, buf[3], 1);		/* Rinverser le titre de menu */
			}
		} while ( quit == FALSE);									/* Fin de boucle si option "Quitter" */
		menu_bar( adr_menu, 0);										/* Virer la barre de menu */
		rsrc_free ();															/* Librer le ressource */
	}
	else form_alert( 1, "[1][|DEMO_2.RSC not found!][Ok]" );

	CloseGem();	
return(0);
}

/*-- Sous Routine --*/

void formulaire(void)
{
int choix;									                 	/* Variables de la ressource */
char *ptr;									                 	/* Pointeur sur la chaine ditable */
char alerte[100];															/* Pour fabriquer une belle alerte */
OBJECT *adr_dial; 			                     	/* Adresse du dialogue */

	rsrc_gaddr (0, DIAL, &adr_dial);			 			/* Demander adresse dialogue */
	rsc_gstrings(adr_dial, FTEXT, &ptr,-1);	  	/* Demander le pointeur sur l'ditable */
	strcpy(ptr,"");														 	/* Vider champ ditable */
	choix = dialog (adr_dial);                	/* Gestion par le GEM */
	if (  choix == VALIDER )
	{
		sprintf(alerte,"[1][Vous avez choisi 'Valider'|la chaine vaut :|%s][ Oui ]",ptr); /* pas d'accent SVP !! */
		form_alert (1,alerte);
	}
	else
	{
		form_alert (1,"[1][ Vous avez choisi| 'Annuler'][ Oui ]");
	}
}
